Bug 1340686 - Custom product content published in Library isn't syncing to capsule
Summary: Custom product content published in Library isn't syncing to capsule
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule - Content
Version: 6.1.8
Hardware: x86_64
OS: Linux
urgent
urgent vote
Target Milestone: Unspecified
Assignee: Andrew Kofink
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Keywords: Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-30 05:08 UTC by Alexey Masolov
Modified: 2019-04-01 20:26 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-21 16:32:32 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 18028 None None None 2017-01-11 14:35 UTC

Comment 4 Bryan Kearney 2016-07-26 18:57:12 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 5 John Mitsch 2016-08-18 18:39:13 UTC
Created redmine issue http://projects.theforeman.org/issues/16178 from this bug

Comment 6 John Mitsch 2016-08-22 19:01:36 UTC
This looks to be fixed in 6.2

here is a repo with a manually loaded rpm showing up in pulp-admin on a capsule

Id:                  Default_Organization-capsule_stuff-manual_upload
Display Name:        manual_upload
Description:         None
Content Unit Counts: 
  Rpm: 1

Comment 7 John Mitsch 2016-08-22 20:28:40 UTC
To test I used satellite-6.2.0-21.1.el7sat.noarch

1) Associated a capsule with Library environment
2) Created a new product without a URL
3) Manually uploaded an rpm to the product
4) Synced the capsule
5) Checked for the repo on the capsule

Id:                  Default_Organization-capsule_stuff-manual_upload
Display Name:        manual_upload
Description:         None
Content Unit Counts: 
  Rpm: 1

Repo is present with the manually uploaded rpm

Comment 8 John Mitsch 2016-11-16 13:47:55 UTC
Ignore comment #7

I misread this bug, it is saying that a manual upload of an rpm should trigger an automatic capsule sync.

Re-opening as new

Comment 9 Bryan Kearney 2016-11-21 17:15:32 UTC
Upstream bug component is Content Management

Comment 10 Bryan Kearney 2016-11-21 19:15:42 UTC
Upstream bug component is Capsule

Comment 11 Bryan Kearney 2016-11-22 18:58:32 UTC
Removing the rejected upstream bug.

Comment 13 Andrew Kofink 2017-01-11 14:35:30 UTC
Created redmine issue http://projects.theforeman.org/issues/18028 from this bug

Comment 16 pm-sat@redhat.com 2017-02-24 21:15:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18028 has been resolved.

Comment 18 Jitendra Yejare 2017-09-27 12:26:12 UTC
Verified!

Satellite 6.3.0 snap 17


Steps:
1. Added Library lifecycle environment to the capsule
2. Created a new product
3. Added yum repository without specifying an URL
4. Manually uploaded an rpm file to the repository
5. Published CV having uploaded rpm to Library environment

Behavior:
1. As soon as CV is published to Library env containing uploaded rpm, the capsule sync is triggered automatically
2. Uploaded content is synced to capsule

Comment 19 Bryan Kearney 2018-02-21 16:32:32 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.